#!/bin/sh
while [ -n "$1" ]
do
	case "$1" in
	@*)	cd `expr "$1" : '@\(.*\)'` || exit 1
		shift ;;
	*=*)	var=`expr "$1" : '\([^=]*\).*'`
		val=`expr "$1" : '[^=]*=\(.*\)'`
		eval "$var='$val' ; export $var"
		shift ;;
	*)	exec "$@" ;;
	esac
done
echo "Usage: $0 [@directory] [var=value ...] cmd [arg ...]" >&2
exit 1
